InboxMark a message read / unread

Mark a message read / unread

curl -X PATCH "https://api.supasend.io/v1/inbox/messages/507f1f77bcf86cd799439011" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "is_read": true
}'
{
  "id": "example_string",
  "mailbox_id": "example_string",
  "thread_id": "example_string",
  "kind": "reply",
  "email_job_id": "user@example.com",
  "message_id": "example_string",
  "in_reply_to": "example_string",
  "references": [
    "example_string"
  ],
  "from": {
    "name": "John Doe",
    "email": "user@example.com"
  },
  "to": [
    {
      "name": "John Doe",
      "email": "user@example.com"
    }
  ],
  "cc": [
    {
      "name": "John Doe",
      "email": "user@example.com"
    }
  ],
  "reply_to": "example_string",
  "subject": "example_string",
  "snippet": "example_string",
  "body_text": "example_string",
  "body_html": "example_string",
  "reply_text": "example_string",
  "reply_html": "example_string",
  "body_truncated": true,
  "attachments": [
    {
      "index": 42,
      "filename": "John Doe",
      "content_type": "example_string",
      "size": 42,
      "is_inline": true,
      "content_id": "example_string"
    }
  ],
  "is_read": true,
  "received_at": "2024-12-25T10:00:00Z",
  "created_at": "2024-12-25T10:00:00Z"
}
PATCH
/v1/inbox/messages/{id}
PATCH
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key in the format sk_live_<64 hex characters>

API key in the format sk_live_<64 hex characters>
path
idstring
Required

MongoDB ObjectID

Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. API key in the format sk_live_\<64 hex characters\>

Path Parameters

idstring
Required

MongoDB ObjectID

Example:
507f1f77bcf86cd799439011

Body

application/json

Responses

idstring
mailbox_idstring
thread_idstring
kindstring

reply — a reply to something (a SupaSend send, an earlier synced message, or mail sent outside SupaSend — anything with In-Reply-To / References); inbound — a brand-new conversation from a person; bulk — newsletters / mailing lists / marketing (List-Id, List-Unsubscribe or Precedence: bulk); bounce — delivery status notification; auto_reply — out-of-office / autoresponder.

Allowed values:replyinboundbulkbounceauto_reply
email_job_idstring

The send this message directly answers (or, for bounces, the send that failed)

message_idstring
in_reply_tostring
referencesstring[]
fromobject
toarray
ccarray
reply_tostring
subjectstring
snippetstring

First ~200 characters of reply_text

body_textstring

Full text part as received

body_htmlstring

Full HTML part as received

reply_textstring

New content only — quoted history stripped

reply_htmlstring
body_truncatedboolean
attachmentsarray
is_readboolean
received_atstring
created_atstring